<?php
/**
 * Freelancer Services: Block Patterns
 *
 * @package Freelancer Services
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'freelancer-services',
		array( 'label' => __( 'Freelancer Services', 'freelancer-services' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'freelancer-services/banner-section',
		array(
			'title'      => __( 'Banner Section', 'freelancer-services' ),
			'categories' => array( 'freelancer-services' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\",\"id\":4849,\"dimRatio\":20,\"overlayColor\":\"black\",\"align\":\"full\",\"className\":\"banner-sec\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-20 has-black-background-color has-background-dim banner-sec\"><img class=\"wp-block-cover__image-background wp-image-4849\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:group {\"className\":\"banner-content\"} -->\n<div class=\"wp-block-group banner-content\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"50px\"}},\"textColor\":\"black\",\"className\":\"mb-1\"} -->\n<h1 class=\"has-text-align-left mb-1 has-black-color has-text-color\" style=\"font-size:50px\">Lorem Ipsum has been the industry </h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"color\":{\"text\":\"#888888\"}},\"className\":\"mb-2\",\"fontSize\":\"normal\"} -->\n<p class=\"has-text-align-left mb-2 has-text-color has-normal-font-size\" style=\"color:#888888\">Lorem Ipsum has been the industry standard. Lorem Ipsum has been the industrys standard. Lorem Ipsum</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"placeholder\":\"SEARCH\",\"width\":75,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"className\":\"slider-search\"} /-->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'freelancer-services/services-section',
		array(
			'title'      => __( 'Services Section', 'freelancer-services' ),
			'categories' => array( 'freelancer-services' ),
			'content'    => "<!-- wp:group {\"className\":\"my-5\"} -->\n<div class=\"wp-block-group my-5\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"textColor\":\"black\"} -->\n<h2 class=\"has-text-align-center has-black-color has-text-color\" style=\"font-size:30px\">Trending Services</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#777777\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-text-align-center has-text-color has-normal-font-size\" style=\"color:#777777\">Lorem Ipsum is simply dummy text of the printing</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"service-sec\"} -->\n<div class=\"wp-block-columns service-sec\"><!-- wp:column {\"className\":\"service-box ml-0\"} -->\n<div class=\"wp-block-column service-box ml-0\"><!-- wp:image {\"id\":4887,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0 mt-0\"} -->\n<figure class=\"wp-block-image size-full mb-0 mt-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service1.png\" alt=\"\" class=\"wp-image-4887\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"serv-content-group px-3 py-2\"} -->\n<div class=\"wp-block-group serv-content-group px-3 py-2\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"textColor\":\"black\"} -->\n<h2 class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px\"><a href=\"http://localhost/vwibtana/?p=35\">Lorem Ipsum is simply dummy</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#888888\"}},\"className\":\"mb-2\"} -->\n<p class=\"mb-2 has-text-color\" style=\"color:#888888;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":4921,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0 mt-0\"} -->\n<figure class=\"wp-block-image size-full mb-0 mt-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service2.png\" alt=\"\" class=\"wp-image-4921\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"serv-content-group px-3 py-2\"} -->\n<div class=\"wp-block-group serv-content-group px-3 py-2\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"textColor\":\"black\"} -->\n<h2 class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px\"><a href=\"http://localhost/vwibtana/?p=35\">Lorem Ipsum is simply dummy</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#888888\"}},\"className\":\"mb-2\"} -->\n<p class=\"mb-2 has-text-color\" style=\"color:#888888;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":4922,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0 mt-0\"} -->\n<figure class=\"wp-block-image size-full mb-0 mt-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service3.png\" alt=\"\" class=\"wp-image-4922\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"serv-content-group px-3 py-2\"} -->\n<div class=\"wp-block-group serv-content-group px-3 py-2\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"textColor\":\"black\"} -->\n<h2 class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px\"><a href=\"http://localhost/vwibtana/?p=35\">Lorem Ipsum is simply dummy</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#888888\"}},\"className\":\"mb-2\"} -->\n<p class=\"mb-2 has-text-color\" style=\"color:#888888;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":4923,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0 mt-0\"} -->\n<figure class=\"wp-block-image size-full mb-0 mt-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service3.png\" alt=\"\" class=\"wp-image-4923\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"className\":\"serv-content-group px-3 py-2\"} -->\n<div class=\"wp-block-group serv-content-group px-3 py-2\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"textColor\":\"black\"} -->\n<h2 class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px\"><a href=\"http://localhost/vwibtana/?p=35\">Lorem Ipsum is simply dummy</a></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"},\"color\":{\"text\":\"#888888\"}},\"className\":\"mb-2\"} -->\n<p class=\"mb-2 has-text-color\" style=\"color:#888888;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}